org.apache.cassandra.index.sasi.analyzer.filter

## Class FilterPipelineBuilder

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.filter.FilterPipelineBuilder

    public class FilterPipelineBuilder
    extends java.lang.Object

Creates a Pipeline object for applying n pieces of logic from the provided methods to the builder in a guaranteed order

### Constructor Summary

Constructors
Constructor and Description
`FilterPipelineBuilder(FilterPipelineTask<?,?> first)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterPipelineBuilder` `add(java.lang.String name, FilterPipelineTask<?,?> nextTask)`
`FilterPipelineTask<?,?>` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterPipelineBuilder

    public FilterPipelineBuilder(FilterPipelineTask<?,?> first)

### Method Detail

#### add

    public FilterPipelineBuilder add(java.lang.String name,
                                     FilterPipelineTask<?,?> nextTask)

#### build

    public FilterPipelineTask<?,?> build()